Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/src/main/java/org/gvsig/exportto/swing/prov/file/AbstractExporttoFileProvider.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/src/main/java/org/gvsig/exportto/swing/prov/file/AbstractExporttoFileProvider.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/src/main/java/org/gvsig/exportto/swing/prov/file/AbstractExporttoFileProvider.java	(revision 43920)
@@ -23,14 +23,12 @@
  */
 package org.gvsig.exportto.swing.prov.file;
 
-import org.cresques.cts.IProjection;
-
-import org.gvsig.exportto.swing.prov.file.panel.SelectFileOptionPanel;
+import org.gvsig.exportto.swing.spi.AbstractExporttoSwingProvider;
 import org.gvsig.exportto.swing.spi.ExporttoSwingProvider;
-import org.gvsig.exportto.swing.spi.ExporttoSwingProviderPanel;
+import org.gvsig.exportto.swing.spi.panels.SelectOutputFilePanel;
 import org.gvsig.fmap.dal.feature.FeatureStore;
-import org.gvsig.tools.service.spi.AbstractProvider;
 import org.gvsig.tools.service.spi.ProviderServices;
+import org.gvsig.tools.util.HasAFile;
 
 /**
  * Exporto provider which gets Exporto from a file.
@@ -38,64 +36,20 @@
  * @author gvSIG Team
  * @version $Id$
  */
-public abstract class AbstractExporttoFileProvider extends AbstractProvider
-    implements ExporttoSwingProvider {
+public abstract class AbstractExporttoFileProvider 
+        extends AbstractExporttoSwingProvider
+        implements ExporttoSwingProvider 
+    {
 
-    protected SelectFileOptionPanel selectFileOptionPanel = null;
-
-    protected FeatureStore featureStore;
-    protected IProjection projection;
-
-    /**
-     * Constructor.
-     *
-     * @param providerServices
-     *            the services for the provider
-     * @param file
-     *            to get the Exporto from
-     */
-    public AbstractExporttoFileProvider(ProviderServices providerServices,
-        FeatureStore featureStore, IProjection projection) {
-        this(providerServices, featureStore, projection,
-            new SelectFileOptionPanel());
+    @SuppressWarnings("OverridableMethodCallInConstructor")
+    public AbstractExporttoFileProvider(
+            ProviderServices providerServices,
+            FeatureStore featureStore
+        ) {
+        super(providerServices, featureStore);
+        this.addPanels();
+        this.panelAdd(new SelectOutputFilePanel((HasAFile) this.getOptions()));
     }
 
-    public AbstractExporttoFileProvider(ProviderServices providerServices,
-        FeatureStore featureStore, IProjection projection,
-        SelectFileOptionPanel selectFileOptionPanel) {
-        super(providerServices);
-        this.featureStore = featureStore;
-        this.projection = projection;
-
-        this.selectFileOptionPanel = selectFileOptionPanel;
-    }
-
-    public int getPanelCount() {
-        return 1;
-    }
-
-    public ExporttoSwingProviderPanel getPanelAt(int index) {
-        switch (index) {
-        case 0:
-            return selectFileOptionPanel;
-        }
-        return null;
-    }
-
-    /**
-     * Sets the target projection to which should be exported
-     * @param targetProjection
-     */
-    public void setTargetProjection(IProjection targetProjection){
-        this.projection=targetProjection;
-    }
-
-    /**
-     * Informs if it needs to ask for a target projection,
-     * or if it is not needed or provided through its own wizard panel.
-     * @return
-     */
-    public boolean needsPanelTargetProjection(){
-        return true;
-    }
+    protected abstract void addPanels();        
 }
